View Issue Details

IDProjectCategoryView StatusLast Update
0018401LazarusIDEpublic2011-12-01 11:26
ReporterGraeme GeldenhuysAssigned ToPaul Ishenin 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Platformx86_64OSUbuntu LinuxOS Version10.04
Product Version0.9.29 (SVN)Product Buildr28865 
Target VersionFixed in Version0.9.31 (SVN) 
Summary0018401: Clipped group boxes in 'Compile Project' dialog
DescriptionSee attached image. Three groupboxes are clipped at the bottom where the checkbox is located.
TagsNo tags attached.
Fixed in Revision28946
LazTarget0.99.0
Widgetset
Attached Files

Activities

2011-01-05 10:54

 

Compile Project_011.png (15,851 bytes)
Compile Project_011.png (15,851 bytes)

Paul Ishenin

2011-01-11 05:02

manager   ~0045076

Please test and close if ok.

Graeme Geldenhuys

2011-02-02 13:42

reporter   ~0045714

Sorry Paul, but your changes made no difference. I just updated my 0.9.30 fixes branch, now running Lazarus 0.9.29 r29330M FPC 2.4.3 x86_64-linux-gtk 2.

I included two screenshots showing Ubuntu 10.04.1 LTS in the default Ambiance theme, and then in my custom theme.

Graeme Geldenhuys

2011-02-02 13:42

reporter   ~0045715

Last edited: 2011-02-02 14:08

See previous note.

Sorry, I uploaded one file incorrectly.

2011-02-02 13:43

 

ubuntu_ambiance.png (17,846 bytes)
ubuntu_ambiance.png (17,846 bytes)

2011-02-02 14:06

 

ubuntu_custom.png (18,461 bytes)
ubuntu_custom.png (18,461 bytes)

Vincent Snijders

2011-02-02 15:32

manager   ~0045718

I deleted Selection_016.png.

2011-02-06 04:44

 

Paul Ishenin

2011-02-06 04:45

manager   ~0045837

That's strange. I just loaded ubuntu and made a screenshot. Did you try with 0.9.31? Maybe the changes were not merged?

Vincent Snijders

2011-02-06 13:58

manager   ~0045848

See: http://svn.freepascal.org/svn/logs/lazarus-fixes_0_9_30.log

This fix has been merged:
2011-02-02 11:46 vincents r29329

Graeme Geldenhuys

2011-02-07 09:43

reporter   ~0045861

@Paul
I haven't tried with Trunk, only fixes branch. Initially the fix was marked as merged, but wasn't really done. Vincent then fixed that by actually doing the merge. I got an update after that merge, and took a screenshot (submitted before) to show the issue still exists in latest fixes branch.

At the moment I am only testing the latest fixes branch, to make sure we get a stable Lazarus release for a change.

Graeme Geldenhuys

2011-03-10 11:40

reporter   ~0046550

Thank you, this issue can be closed. Somewhere along the line something changed and now it is fixed in 0.9.30 branch too.

Zeljan Rikalo

2011-03-10 15:54

developer   ~0046552

Resolved in the meantime as reporter mentioned.

Issue History

Date Modified Username Field Change
2011-01-05 10:54 Graeme Geldenhuys New Issue
2011-01-05 10:54 Graeme Geldenhuys File Added: Compile Project_011.png
2011-01-05 11:01 Vincent Snijders LazTarget => 0.99.0
2011-01-05 11:01 Vincent Snijders Status new => acknowledged
2011-01-05 11:01 Vincent Snijders Target Version => 0.99.0
2011-01-11 05:02 Paul Ishenin Fixed in Revision => 28946
2011-01-11 05:02 Paul Ishenin Status acknowledged => resolved
2011-01-11 05:02 Paul Ishenin Fixed in Version => 0.9.31 (SVN)
2011-01-11 05:02 Paul Ishenin Resolution open => fixed
2011-01-11 05:02 Paul Ishenin Assigned To => Paul Ishenin
2011-01-11 05:02 Paul Ishenin Note Added: 0045076
2011-02-02 13:42 Graeme Geldenhuys Note Added: 0045714
2011-02-02 13:42 Graeme Geldenhuys Status resolved => assigned
2011-02-02 13:42 Graeme Geldenhuys Resolution fixed => reopened
2011-02-02 13:42 Graeme Geldenhuys Note Added: 0045715
2011-02-02 13:43 Graeme Geldenhuys File Added: Selection_016.png
2011-02-02 13:43 Graeme Geldenhuys File Added: ubuntu_ambiance.png
2011-02-02 13:49 Graeme Geldenhuys Note Edited: 0045715
2011-02-02 14:06 Graeme Geldenhuys File Added: ubuntu_custom.png
2011-02-02 14:08 Graeme Geldenhuys Note Edited: 0045715
2011-02-02 15:31 Vincent Snijders File Deleted: Selection_016.png
2011-02-02 15:32 Vincent Snijders Note Added: 0045718
2011-02-06 04:44 Paul Ishenin File Added: Ubuntu 9.10 64-bit-2011-02-06-10-42-46.png
2011-02-06 04:45 Paul Ishenin Note Added: 0045837
2011-02-06 04:45 Paul Ishenin Status assigned => feedback
2011-02-06 13:58 Vincent Snijders Note Added: 0045848
2011-02-07 09:43 Graeme Geldenhuys Note Added: 0045861
2011-03-10 11:40 Graeme Geldenhuys Note Added: 0046550
2011-03-10 15:54 Zeljan Rikalo Status feedback => resolved
2011-03-10 15:54 Zeljan Rikalo Resolution reopened => fixed
2011-03-10 15:54 Zeljan Rikalo Note Added: 0046552
2011-12-01 11:26 Marc Weustink Status resolved => closed